# $Revision: 1.14 $, $Date: 2002/11/09 02:19:09 $
Summary:	IO Zone Benchmark Program
Summary(es):	El IOzone es una ferramenta para prueba de rendimiento em sistemas de archivos
Summary(pl):	Program testujcy wydajno I/O
Summary(pt_BR):	O IOzone  uma ferramenta para testes de performance em sistemas de arquivos
Name:		iozone
Version:	3.140
Release:	1
License:	distributable
Group:		Applications/System
Source0:	http://www.iozone.org/src/current/%{name}%(echo %{version} | tr . _).tar
#Source0:	ftp://ftp.freebsd.org/pub/FreeBSD/distfiles/%{name}3_9.tar.gz
Patch0:		%{name}-make.patch
Patch1:		%{name}-ppc.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Iozone benchmarks IO performance. By default it benchmarks the speed
of sequential I/O to files, but it also supports a raw mode that
attempts a measurement of speed when accessing a raw device.

%description -l es
El IOzone es til para prueba de rendimiento en sistemas de archivos.
Genera y medi una variedad de operacins en archivos.

%description -l pl
Iozone testuje wydajno I/O. Domylnie testuje szybko sekwencyjnego
odczytu/zapisu do plikw, ale obsuguje take tryb surowy, w ktrym
prbuje okreli szybko dostpu do samego urzdzenia.

%description -l pt_BR
O IOzone  uma ferramenta para testes de performance em sistemas de
arquivos. Gera e mede uma variedade de operaes em arquivos.

%prep
%setup -q -c
%patch0 -p1
%patch1 -p1

gzip -d docs/Iozone_ps.gz
mv -f docs/Iozone_ps docs/IOzone.ps
mv -f docs/IOzone_msword_98.pdf docs/IOzone.pdf

%build
cd src/current
%{__make} \
%ifarch ppc
	linux-powerpc \
%else
%ifarch sparc sparc64 sparcv9
	linux-sparc \
%else
	linux \
%endif
%endif
	OPT="%{rpmcflags}" CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/iozone,%{_mandir}/man1}

install src/current/iozone $RPM_BUILD_ROOT%{_bindir}
install docs/iozone.1 $RPM_BUILD_ROOT%{_mandir}/man1
install src/current/*.dem $RPM_BUILD_ROOT%{_datadir}/iozone

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/*.ps docs/*.pdf src/current/Changes.txt
%attr(750,root,root) %{_bindir}/iozone
%dir %{_datadir}/iozone
%{_datadir}/iozone/*.dem
%{_mandir}/man1/iozone.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: iozone.spec,v $
Revision 1.14  2002/11/09 02:19:09  kloczek
- fixes for --short-circuit.

Revision 1.13  2002/11/09 01:33:45  kloczek
- updated to 3.140,
- merge translations from Conectiva.

Revision 1.12  2002/09/26 15:27:29  marcus
- rel.2.
- fixed for ppc (maybe dirty - one define from <asm/fnctl.h>)

Revision 1.11  2002/06/22 09:35:05  areq
- 3.109, STBR

Revision 1.10  2002/06/10 09:34:52  areq
- 3.100, STBR
- new %doc

Revision 1.9  2002/04/25 16:36:54  arturs
fixed a small typo

Revision 1.8  2002/02/23 02:59:07  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:29:04  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:13:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/12/02 16:22:31  filon
- updated to rev 3.71
- updated and modifed make patch
- changes in %%files, %%doc, %%build
- cosmetics

Revision 1.4  2001/11/22 13:56:52  qboosh
- s/Copyright/License/, pl translation
- added %%{_datadir}/iozone directory to package
- release 3

Revision 1.3  2001/05/02 16:29:06  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.2  2000/12/28 14:59:30  baggins
- release 2
- gzipped source (cvs broke it)

Revision 1.1  2000/07/04 12:46:46  baggins
- new, PLD style spec
